// %pacpus:license{
// This file is part of the PACPUS framework distributed under the
// CECILL-C License, Version 1.0.
// %pacpus:license}
/// @version    $Id: Log.cpp 76 2013-01-10 17:05:10Z kurdejma $

#include <Pacpus/kernel/Log.h>

#ifdef PACPUS_USE_LOG

#include <ostream>
#include <QString>

template< typename CharT, typename TraitsT >
std::basic_ostream< CharT, TraitsT >& operator<< (std::basic_ostream< CharT, TraitsT >& strm, QString const& s)
{
    strm << s.toStdString();
    return strm;
}

// explicit instantiation
template
PACPUSLIB_API std::basic_ostream<char>& operator<< (std::basic_ostream<char>& strm, QString const& s);

#endif // PACPUS_USE_LOG

namespace pacpus {
   
#if defined(PACPUS_USE_LOG)

//#include <boost/log/utility/setup/formatter_parser.hpp>

void init_log_factories()
{
    //boost::log::register_simple_formatter_factory< QString, char >("QString");
}

#endif // PACPUS_USE_LOG

LogConfigurator::LogConfigurator()
{
#if defined(PACPUS_USE_LOG)
    init_log_factories();
#endif // PACPUS_USE_LOG
}

void LogConfigurator::configureLoggerWithFile(const char * /*configFilename*/)
{
}

} // namespace pacpus
